EventBufferEvent::setWatermark
EventBufferEvent::sslFilter
EventBufferEvent
PHP Manual

# EventBufferEvent::sslError

Returns most recent OpenSSL error reported on the buffer event

### Description

public void EventBufferEvent::sslError ( void )

Returns most recent OpenSSL error reported on the buffer event.

> Note:

> This function is available only if Event is compiled with OpenSSL support.

### Parameters

This function has no parameters.

### Return Values

Returns `FALSE`, if there is no more error to return.

### Examples

Example #1 EventBufferEvent::sslError example

`<?php
// This callback is invoked when some even occurs on the event listener,
// e.g. connection closed, or an error occured
function ssl_event_cb($bev, $events, $ctx) {
if ($events & EventBufferEvent::ERROR) {
// Fetch errors from the SSL error stack
while ($err = $bev->sslError()) {
fprintf(STDERR, "Bufferevent error %s.\n", $err);
}
}
if ($events & (EventBufferEvent::EOF | EventBufferEvent::ERROR)) {
$bev->free();
}
}
?>`

### See Also

- EventBufferEvent::sslRenegotiate